#include "deftype.h"

int lshift(unchar *area,int bytes,int zbit)
/* 領域内指定ビット左シフト：６８０３０なら１命令で出来るらしい */
{
unint i;
unsint c;
	for(i=0;i<bytes;i++) {
		c=area[i];
		c<<=1; /* 1bit 左シフト */
		c|=zbit; /* 前のbyteからの繰上げbit */
		area[i]=(unchar)c;
		zbit=((c & 0xff00)>0);
	}
	return(zbit);
}
